Subject: Re: [TOOLS-DEVELOPMENT] Next steps on the rfc format related SoWs

From: Robert Sparks <[email-masked]>
Date: Thu, 04 Dec 2014 14:25:51 -0600

I took a stab at combining them. It started to add confusion. I think 
anything I do is just going to be a concatenation of them anyhow, so the 
approach you suggest seems right.

I think all we need is to include all three of them in one RFP when we 
send it out - the cover letter can clarify that we're looking for one 
bid on all three projects.

RjS

On 11/24/14 11:25 AM, Tony Hansen wrote:
> An alternative to combining the SoWs, but slightly harder to manage up 
> front, is to either 1) allow people to bid in lots, or 2) add a 
> "combination SoW" that includes the ones you want to combine via 
> reference.
>
>     Tony
>
> On 11/24/14, 11:28 AM, Robert Sparks wrote:
>> I haven't gotten any feedback on this message.
>>
>> Should I combine idnits, rfclint, and svgcheck into one SoW, or leave 
>> them as separate things?
>>
>> Pros: Might build a work bite large enough to be interesting to more 
>> bidders
>> Cons: Fatesharing separable problems
>>
>> As below, I think we must keep the publication formatter, xmldiff, 
>> and the text submission converter as separate things.
>>
>> Before I start in on combining any of the SoW, I'd like to hear that 
>> this group still thinks that's the right thing to do.
>>
>> RjS
>>
>> On 10/30/14 11:09 AM, Robert Sparks wrote:
>>> For reference - these are the documents in flight:
>>>     PublicationFormatter-02
>>>     TextSubmissionConverter-02
>>>     idnits-00
>>>     rfclint-04
>>>     svgcheck-02
>>>     xmlDiff-03
>>>
>>> The next burst of effort needs to focus on fleshing out 
>>> PublicationFormatter,
>>> and making sure the documents from the rfc-design team that it 
>>> points to are
>>> sufficiently clear to inform implementation.
>>>
>>> We've talked for some time about combining some of these near the 
>>> end. We're
>>> getting there, and I want to double check what we think should be 
>>> combined to
>>> reduce the number of SoWs.
>>>
>>> I can see combining idnits, rfclint, and svgcheck into one SoW (that 
>>> asks for three tools).
>>>
>>> I'm not sure we want to couple the fates of any of
>>> xmlDiff, TextSubmissionConverter, and PublicationFormatter.
>>>
>>> Is having four SoWs when we're done the right target?
>>>
>>> RjS
>
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development